PAPI_is_initialized(3)

NAME
PAPI_is_initialized - check for initialization

SYNOPSIS

Detailed Description

Return values
    PAPI_NOT_INITED Library has not been initialized
    PAPI_LOW_LEVEL_INITED Low level has called library init
    PAPI_HIGH_LEVEL_INITED High level has called library init
    PAPI_THREAD_LEVEL_INITED
     Threads have been inited

Parameters
    version upon initialization, PAPI checks the argument against the internal value of PAPI_VER_CURRENT when the library was compiled. This guards against portability problems when updating the PAPI shared libraries on your system.

Examples:

    int retval;
    retval = PAPI_library_init(PAPI_VER_CURRENT);
    if (retval != PAPI_VER_CURRENT && retval > 0) {
    fprintf(stderr,"PAPI library version mismatch!\en");
    exit(1); }
    if (retval < 0)
    handle_error(retval);
    retval = PAPI_is_initialized();
    if (retval != PAPI_LOW_LEVEL_INITED)
    handle_error(retval);

     PAPI_is_initialized() returns the status of the PAPI library. The PAPI library can be in one of four states, as described under RETURN VALUES.

See also
    PAPI

    PAPI_thread_init

Author

Generated automatically by Doxygen for PAPI from the source code.